using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 数据发布类型
/// </summary>
public enum DataPublishType
{
    /// <summary>
    /// 通知公告
    /// </summary>
    [Description("通知公告")]
    NOTICE = 1,
    /// <summary>
    /// 抽样名单
    /// </summary>
    [Description("抽样名单")]
    STUDENT_SAMPLE_LIST = 2,
    /// <summary>
    /// 问卷名单
    /// </summary>
    [Description("问卷名单")]
    QUESTIONNAIRE_LIST = 3,
    /// <summary>
    /// 监测成绩
    /// </summary>
    [Description("监测成绩")]
    EXAM_SCORE = 4,
    /// <summary>
    /// 分析报表
    /// </summary>
    [Description("分析报表")]
    ANALYSIS_REPORT = 5,
    /// <summary>
    /// 监测报告
    /// </summary>
    [Description("监测报告")]
    EXAM_REPORT = 6,
    /// <summary>
    /// 问卷进度
    /// </summary>
    [Description("问卷进度")]
    QUESTIONNAIRE_PROGRESS = 7,
    /// <summary>
    /// 抽样数量
    /// </summary>
    [Description("抽样数量")]
    STUDENT_SAMPLE_COUNT_LIST = 8,

    /// <summary>
    /// 其他文件
    /// </summary>
    [Description("其他文件")]
    OTHER = 99,
}
